No mongodb server rotates its logs

Jun 11, 2015 05:37 PM - Andrea Dell'Amico

Status: Closed Start date: Jun 11, 2015

Priority: Normal Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: System Configuration   

Infrastructure: Production   

Description

All the mongodb instances never rotate their log files. The production cluster log files are over 1GB on every node.

History

#1 - Jun 15, 2015 12:36 PM - Roberto Cirillo

- Status changed from New to In Progress

- Assignee set to Roberto Cirillo

I've enabled the log rotation on all the instances in this way:

From the mongo shell, issue the logRotate command from the admin database:

use admin

db.runCommand( { logRotate : 1 } )

#2 - Jun 15, 2015 12:36 PM - Roberto Cirillo

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
